View Javadoc

    1   //========================================================================
    2   //$Id: ConstraintMapping.java,v 1.1 2005/10/05 14:09:14 janb Exp $
    3   //Copyright 2004-2005 Mort Bay Consulting Pty. Ltd.
    4   //------------------------------------------------------------------------
    5   //Licensed under the Apache License, Version 2.0 (the "License");
    6   //you may not use this file except in compliance with the License.
    7   //You may obtain a copy of the License at
    8   //http://www.apache.org/licenses/LICENSE-2.0
    9   //Unless required by applicable law or agreed to in writing, software
    10  //distributed under the License is distributed on an "AS IS" BASIS,
    11  //WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    12  //See the License for the specific language governing permissions and
    13  //limitations under the License.
    14  //========================================================================
    15
    16  package org.mortbay.jetty.security;
    17
    18
    19  public class ConstraintMapping
    20  {
    21      String method;
    22      String pathSpec;
    23      Constraint constraint;
    24
    25      /* ------------------------------------------------------------ */
    26      /**
    27       * @return Returns the constraint.
    28       */
    29      public Constraint getConstraint()
    30      {
    31          return constraint;
    32      }
    33      /* ------------------------------------------------------------ */
    34      /**
    35       * @param constraint The constraint to set.
    36       */
    37      public void setConstraint(Constraint constraint)
    38      {
    39          this.constraint = constraint;
    40      }
    41      /* ------------------------------------------------------------ */
    42      /**
    43       * @return Returns the method.
    44       */
    45      public String getMethod()
    46      {
    47          return method;
    48      }
    49      /* ------------------------------------------------------------ */
    50      /**
    51       * @param method The method to set.
    52       */
    53      public void setMethod(String method)
    54      {
    55          this.method = method;
    56      }
    57      /* ------------------------------------------------------------ */
    58      /**
    59       * @return Returns the pathSpec.
    60       */
    61      public String getPathSpec()
    62      {
    63          return pathSpec;
    64      }
    65      /* ------------------------------------------------------------ */
    66      /**
    67       * @param pathSpec The pathSpec to set.
    68       */
    69      public void setPathSpec(String pathSpec)
    70      {
    71          this.pathSpec = pathSpec;
    72      }
    73  }